<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/shallowblue"
    android:orientation="vertical"
    android:paddingLeft="@dimen/dp_10"
    android:paddingRight="@dimen/dp_10">

    <LinearLayout
        android:id="@+id/linearLayout3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="12dp"
        android:gravity="center"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout4"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_55"
            android:layout_marginRight="@dimen/dp_7"
            android:layout_weight="1"
            android:background="@drawable/shape_home_bottom1_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_2"
                android:text="@string/total_cleaning_times_today"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_7" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="767W"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_55"
            android:layout_margin="@dimen/dp_5"
            android:layout_weight="1"
            android:background="@drawable/shape_home_bottom2_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:id="@+id/tv_sum_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/random_cleaning_times_today"
                android:textColor="#939494"
                android:textSize="@dimen/sp_7" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_13"
                android:text="767W"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_14" />

            <ImageView
                android:layout_width="@dimen/dp_35"
                android:layout_height="@dimen/dp_35"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_5"
                android:src="@drawable/random" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_55"
            android:layout_margin="@dimen/dp_5"
            android:layout_weight="1"
            android:background="@drawable/shape_home_bottom1_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:id="@+id/tv_random_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/regular_cleaning_times_today"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_7" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_13"
                android:text="767W"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14" />

            <ImageView
                android:layout_width="@dimen/dp_35"
                android:layout_height="@dimen/dp_35"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_5"
                android:src="@drawable/timing" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_55"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_5"
            android:layout_weight="1"
            android:background="@drawable/shape_home_bottom2_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:id="@+id/tv_data_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_2"
                android:text="2020-04-20"
                android:textColor="@color/gray"
                android:textSize="@dimen/sp_7" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_13"
                android:text="10:35"
                android:textColor="@color/logo_blue"
                android:textSize="@dimen/dp_14" />

            <ImageView
                android:layout_width="@dimen/dp_35"
                android:layout_height="@dimen/dp_35"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_5"
                android:src="@drawable/time" />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout

        android:id="@+id/linearLayout4"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginBottom="13dp"
        android:background="@drawable/shape_home_malfunction_rectangle"
        android:padding="@dimen/dp_5"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/fault_today"
            android:textColor="@color/logo_blue"
            android:textSize="@dimen/sp_7" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="right"
            android:textSize="@dimen/sp_9">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_8"
                android:text="@string/untreated"
                android:textSize="@dimen/sp_6" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_5"
                android:text="24"
                android:textColor="@color/bright_blue"
                android:textSize="@dimen/sp_10" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/a"
                android:textSize="@dimen/sp_6" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_8"
                android:text="@string/fault_today"
                android:textSize="@dimen/sp_6" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_5"
                android:text="12"
                android:textColor="@color/orange"
                android:textSize="@dimen/sp_10" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/a"
                android:textSize="@dimen/sp_6" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_8"
                android:text="@string/complete"
                android:textSize="@dimen/sp_6" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_5"
                android:text="12"
                android:textColor="#385AA8"
                android:textSize="@dimen/sp_10" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/a"
                android:textSize="@dimen/sp_6" />
        </LinearLayout>


    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

        <LinearLayout
            android:layout_width="@dimen/dp_140"
            android:layout_height="@dimen/dp_80"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_5"
            android:background="@drawable/shape_home_bottom2_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_40"
                android:text="@string/flow_people_today"
                android:textColor="#3E5DA8"
                android:textSize="@dimen/sp_7" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="7677W"
                    android:textColor="@color/orange"
                    android:textSize="@dimen/dp_16" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:text="@string/traffic_was"
                    android:textSize="@dimen/sp_6" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="@dimen/dp_200"
            android:layout_height="@dimen/dp_80"
            android:layout_margin="@dimen/dp_5"
            android:background="@drawable/shape_home_bottom2_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_70"
                android:text="@string/cleaning_method"
                android:textColor="#3E5DA8"
                android:textSize="@dimen/sp_7" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center">

                <RelativeLayout
                    android:id="@+id/rl_clear"
                    android:layout_width="@dimen/dp_80"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/dp_5"
                    android:background="@drawable/shape_clearblue_rectangle">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_5"
                        android:text="@string/start_cleaning"
                        android:textColor="@color/white"
                        android:textSize="@dimen/dp_8" />

                    <ImageView
                        android:layout_width="@dimen/dp_40"
                        android:layout_height="@dimen/dp_40"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentBottom="true"
                        android:src="@drawable/timing2" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="@dimen/dp_80"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/dp_5"
                    android:background="@drawable/shape_clearorgle_rectangle">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_5"
                        android:text="@string/regular_cleaning"
                        android:textColor="@color/white"
                        android:textSize="@dimen/dp_8" />

                    <ImageView
                        android:layout_width="@dimen/dp_40"
                        android:layout_height="@dimen/dp_40"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentBottom="true"
                        android:src="@drawable/time2" />
                </RelativeLayout>
            </LinearLayout>


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_80"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_5"
            android:background="@drawable/shape_home_bottom2_rectangle"
            android:orientation="vertical"
            android:padding="@dimen/dp_7">


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_70"
                android:text="@string/environmental_testing"
                android:textColor="#3E5DA8"
                android:textSize="@dimen/sp_7" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/sp_8"
                android:gravity="center">

                <TextView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:layout_marginRight="@dimen/dp_28"
                    android:background="@drawable/shape_hollow_circle_wendu"
                    android:gravity="center"
                    android:text="40°"
                    android:textColor="#ffd95e"
                    android:textSize="@dimen/sp_8" />

                <TextView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:layout_marginRight="@dimen/dp_28"
                    android:background="@drawable/shape_hollow_circle_shidu"
                    android:gravity="center"
                    android:text="40°"
                    android:textColor="#437dff"
                    android:textSize="@dimen/sp_8" />

                <TextView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_5"
                    android:background="@drawable/shape_hollow_circle_huanjing"
                    android:gravity="center"
                    android:text="40°"
                    android:textColor="#57f3ff"
                    android:textSize="@dimen/sp_8" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/sp_8"
                android:gravity="center">

                <TextView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:layout_marginRight="@dimen/dp_30"
                    android:gravity="center"
                    android:text="@string/temperature"
                    android:textColor="@color/logo_blue"
                    android:textSize="@dimen/sp_6" />

                <TextView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:layout_marginRight="@dimen/dp_30"
                    android:gravity="center"
                    android:text="@string/humidity"
                    android:textColor="@color/logo_blue"
                    android:textSize="@dimen/sp_6" />

                <TextView
                    android:layout_width="@dimen/dp_40"
                    android:layout_height="@dimen/dp_28"
                    android:gravity="center"
                    android:text="@string/environmental_comfort_index"
                    android:textColor="@color/logo_blue"
                    android:textSize="@dimen/sp_6" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>


</android.support.constraint.ConstraintLayout>